//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace Testing
{
	/// <summary>
	/// Summary description for TestingMain.
	/// </summary>
	class Integer
	{
		private int i;
		public Integer(int i)
		{
			this.i = i;
		}
		public int Int
		{
			get
			{
				return i;
			}
			set
			{
				i = value;
			}
		}
	}


	class TestingMain
	{
		static void Main(string[] args)
		{
			int i = 1;
			int j = 1;
			string a = i.ToString();
			string b = j.ToString();
			Console.WriteLine("{0} {1}", 1.ToString(), 1.GetType());
			Console.WriteLine("{0} {1} {2} {3}", 1.23.ToString(), 1.23.GetType(), 1.23.GetType().BaseType, 1.23.GetType().BaseType.BaseType);
			Console.WriteLine("{0} {1} {2}", a.GetHashCode(), b.GetHashCode(), a.Equals(b));
			Integer c = new Integer(i);
			Integer d = new Integer(j);
			Console.WriteLine("{0} {1} {2}", c.GetHashCode(), d.GetHashCode(), c.Equals(d));
		}
	}
}
