//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace Testing
{
	class C
	{
	}
	class B : C
	{
	}
	class A : B
	{
	}

	class AsMain
	{
		public static void Main() 
		{
			A a = new A();
			B b = new B();
			C c = new C();
			try
			{
				B bcc = (B)c;
			}
			catch(Exception e)
			{
				Console.WriteLine(e);
			}
			B bc = c as B;
			if(bc == null)
				Console.WriteLine("C is not a B");
			B ba = a as B;
			if(ba == null)
				Console.WriteLine("A is not a B");
		}
	}
}