//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace Testing
{
	class Readonly
	{
		// const int c1 = 5;
		readonly int c1;
		public Readonly()
		{
			c1 = 6;
		}
		public int Value
		{
			get
			{
				return c1;
			}
		}
	}
	class ReadonlyMain
	{
		public static void Main() 
		{
			Readonly ro = new Readonly();
			Console.WriteLine("{0}", ro.Value);
		}
	}
}