//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace Testing
{
	class RefMain
	{
		public static int TestRef(ref int i, ref int j)
		{
			Console.WriteLine("Entering TestRef {0} {1}", i, j);
			i = 5;
			j = 6;
			return 4;
		}
		public static int TestOut(out int i, out int j)
		{
			// Console.WriteLine("Entering TestOut {0} {1}", i, j);
			i = 2;
			j = 3;
			return 1;
		}
		public static void Main() 
		{
			int a;
			int b;
			int c = TestOut(out a, out b);
			Console.WriteLine("{0} {1} {2}", a, b, c);
			// int d;
			// int e;
			int d = -1;
			int e = -2;
			int f = TestRef(ref d, ref e);
			Console.WriteLine("{0} {1} {2}", d, e, f);
		}
	}
}