//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Text;
namespace Testing
{
	class StringMain
	{
		static void Main(string[] args)
		{
			string s = "This is a test";
			foreach(char c in s)
			{
				Console.WriteLine("Char: {0}", c);
			}
			for(int i = 0; i < s.Length; i++)
			{
				Console.WriteLine("Char: {0}", s[i]);
			}
			foreach(string sub in s.Split())
			{
				Console.WriteLine("Word: {0}", sub);
			}
			string us = s.ToUpper();
			Console.WriteLine(us);
			string ls = s.ToLower();
			Console.WriteLine(ls);
			string ins = s.Insert(s.IndexOf("test"), "new ");
			Console.WriteLine(ins);
			string rs = s.Replace("a", "another");
			Console.WriteLine(rs);
			string ss = s.Substring(s.IndexOf("a"), 6);
			Console.WriteLine(ss);

			string astr = "This is";
			string bstr = " a test";
			string cstr = astr + bstr;
			Console.WriteLine(cstr);
			StringBuilder sb = new StringBuilder();
			sb.Append(astr);
			sb.Append(bstr);
			Console.WriteLine(sb);
		}
	}
}
