//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

namespace Testing
{
	enum Animals
	{
		Cat,
		Worm,
		Mammal
	}
	class SwitchMain
	{
		static void AnimalOperations(Animals animal)
		{
			switch(animal)
			{
				case Animals.Cat:
					Console.WriteLine("This is a Cat");
					goto case Animals.Mammal;
				case Animals.Worm:
					Console.WriteLine("Worm");
					break;
				case Animals.Mammal:
					Console.WriteLine("This is a mammal.");
					goto default;
				default:
					Console.WriteLine("This is also a vertebrate.");
					break;
			}
		}
		static void Main(string[] args)
		{
			AnimalOperations(Animals.Cat);
			AnimalOperations(Animals.Worm);
			AnimalOperations(Animals.Mammal);
		}
	}
}
