//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;

// csc /unsafe stackalloc.cs
namespace Testing
{
	class StackallocMain
	{
		static unsafe void FillBuffer(out int[] buffer)
		{
			buffer = new int [10];
			int count = buffer.Length;
			int *p = stackalloc int[count];
			int *t = p;
			for(int i = 0; i < count; i++)
				*t++ = i;
			t = p;
			for(int i = 0; i < count; i++)
				buffer[i] = *t++;
		}
		static void Main(string[] args)
		{
			int [] buffer;
			FillBuffer(out buffer);
			foreach(int i in buffer)
				Console.WriteLine("{0}", i);
		}
	}
}
